Debians sikkerhedsbulletin

DSA-1149-1 ncompress -- bufferunderløb

Rapporteret den:
10. aug 2006
Berørte pakker:
ncompress
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Mitres CVE-ordbog: CVE-2006-1168.
Yderligere oplysninger:

Tavis Ormandy fra Google Security Team har opdaget en manglende grænsekontrol i ncompress, de originale Lempel-Ziv-programmer compress og uncompress, hvilket gjorde det muligt for en særligt fremstillet datastrøm at underløbe en buffer med angriberkontrollerede data.

I den stabile distribution (sarge) er dette problem rettet i version 4.2.4-15sarge2.

I den ustabile distribution (sid) er dette problem rettet i version 4.2.4-15sarge2.

Vi anbefaler at du opgraderer din ncompress-pakke.

Rettet i:

Debian GNU/Linux 3.1 (sarge)

Kildekode:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2.dsc
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2.diff.gz
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/n/ncompress/ncompress_4.2.4-15sarge2_sparc.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.